import { createTRPCProxyClient, httpBatchLink } from '@trpc/client';
import type { AppRouter } from '../server/router';

export const client = createTRPCProxyClient<AppRouter>({
  links: [
    httpBatchLink({
      url: 'http://localhost:3002',
      // You can pass any HTTP headers you wish here
      async headers() {
        return {
          authorization: document.cookie,
        };
      },
    }),
  ],
});
